# List Jobs

Get `https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name/jobs`

Retrieves a list of Jobs for a Transform.

RBAC Capability Required: `ams.job.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name**  `string` Required  
- **transform_name**  `string` Required

## Query parameters

- **$orderby**  `string` Optional  
  Specifies the key by which the result collection should be ordered.
- **$filter**  `string` Optional  
  Restricts the set of items returned.
- **$top**  `string` Optional  
  Specifies a non-negative integer `n` that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value `n`.
- **$skiptoken**  `string` Optional  
  Specifies a start offset to support paginated results. Use `@odata.nextLink` in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

## Response

### 200 A list of jobs

- **@odata.nextLink**  `string` Optional  
  `@odata.nextLink` URL if the page length and number of items match.
- **supplemental**  `object` [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/media-api/schemas/listresponsesupplementalschema) Required  
  Supplemental info  
  - **count**  `integer` Required  
    Number of items returned
  - **kind**  `string` Required  
    Type of items in the list
  - **operation**  `string` Required  
    Operation type. Should always say 'list'
  - **pagination**  `object` [PaginationInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/paginationinfoschema) Required  
    Pagination info  
    - **end**  `integer` Required  
      Position of the last item in the list
    - **records**  `integer` Required  
      Total number of items returned in the list
    - **start**  `integer` Required  
      Position of the first item in the list
    - **total**  `integer` Required  
      Total number of items in the project
  - **subscription**  `object` [ProjectInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/projectinfoschema) Optional  
    Project info  
    - **id**  `string` Required  
      Project ID
    - **name**  `string` Required  
      Project name
  - **value**  `list of objects` [JobSchema](https://docs.mediakind.com/api-reference/media-api/schemas/jobschema) Required  
    A list of Jobs  
    - **id**  `string` Optional  
      Fully qualified resource ID for the resource. Ex - "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    - **name**  `string` Optional (1-260 characters, pattern: ^[^\'<>%&:\?/*+]+$)  
      The name of the resource
    - **properties**  `object` [JobProperties](https://docs.mediakind.com/api-reference/media-api/schemas/jobproperties) Required  
      Properties of the job  
      - **correlationData**  `map from strings to any` Optional  
        Customer provided key, value pairs that will be returned in Job and JobOutput state events.
      - **created**  `string` Optional (format: date-time)  
        The creation date and time of the Job. Set by the system.
      - **description**  `string or null` Optional (<=1024 characters)  
        The description of the Job.
      - **endTime**  `string or null` Optional  
        The UTC date and time at which this Job finished processing
      - **input**  `object` Required  
        The inputs of the Job.  
        - Discriminated by `@odata.type`. Select one variant:
          - **#Microsoft.Media.JobInputAsset** `object` [JobInputAsset](https://docs.mediakind.com/api-reference/media-api/schemas/jobinputasset)
            - **@odata.type** `string` Required  
              The discriminator for derived types.
            - **assetName** `string` Required  
              The name of the input Asset
            - **end** `object` Optional  
              Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.
          - **#Microsoft.Media.AbsoluteClipTime** `object` [AbsoluteClipTime](https://docs.mediakind.com/api-reference/media-api/schemas/absolutecliptime)
            - **@odata.type** `string` Required  
              The discriminator for derived types.
            - **time** `string` Optional (pattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$)  
              The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
          - **#Microsoft.Media.UtcClipTime** `object` [UtcClipTime](https://docs.mediakind.com/api-reference/media-api/schemas/utccliptime)
            - **@odata.type** `string` Required  
              The discriminator for derived types.
            - **time** `string` Optional (format: date-time)  
              The time position on the timeline of the input media based on UTC time.
      - **trigger** `object` [ScteTrigger](https://docs.mediakind.com/api-reference/media-api/schemas/sctetrigger) Optional  
        SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
      - **filters** `list of list of maps` Optional  
        Outer array is OR-combined; each inner array is AND-combined field matchers.
      - **searchRange** `object` [ScteTriggerSearchRange](https://docs.mediakind.com/api-reference/media-api/schemas/sctetriggersearchrange) Optional  
        Bounds the signal search to `[anchor+startOffset, anchor+endOffset]`. Anchor is `time` if present, else dispatch_time (start) or resolved_start (end).

## Errors

### 400 Bad Request
- **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required  
  Pertinent information about the error
  - **code** `string` Required  
    The error code.
  - **detail** `string` Required  
    The error message.
  - **extraDetail** `map from strings to any` Optional  
    Extra information regarding this error.
  - **ref** `string` Required  
    A reference to the request that caused the error.
  - **status** `integer` Required  
    The HTTP status code.

### Additional error codes (401, 403, 404, 429, 500) follow similar structure.
